Page MenuHomePhabricator

Logging in using a temporary password is reported as "incorrect password"
Closed, ResolvedPublic

Description

"Temporary password" as in Special:PasswordReset.

I guess it's some upstream bug.


Version: Alpha
Severity: normal

Details

Reference
bz65857
Related Gerrit Patches:
mediawiki/core : REL1_27API changes for AuthManager
mediawiki/core : masterAPI changes for AuthManager

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:12 AM
bzimport set Reference to bz65857.
bzimport added a subscriber: Unknown Object (MLST).
liangent created this task.May 28 2014, 3:52 PM
Anomie added a subscriber: Anomie.Feb 23 2015, 3:17 PM

This is somewhat intentional, see T22233. I wouldn't be opposed to returning a distinct error code (e.g. "ResetPass"), but this should remain an error condition.

Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.Feb 23 2015, 3:18 PM
Aklapper triaged this task as Low priority.Mar 23 2015, 8:56 PM
Aklapper added a subscriber: Aklapper.

Change 265201 had a related patch set uploaded (by Anomie):
WIP: API changes for AuthManager

https://gerrit.wikimedia.org/r/265201

This is somewhat intentional, see T22233. I wouldn't be opposed to returning a distinct error code (e.g. "ResetPass"), but this should remain an error condition.

The point behind T22233 is that the API is not some user facing entry point but it's no longer true with the app or maybe more in the future.

Anomie moved this task from Needs Code to In Dev on the MediaWiki-API board.Feb 18 2016, 6:03 PM

Change 265201 merged by jenkins-bot:
API changes for AuthManager

https://gerrit.wikimedia.org/r/265201

Anomie closed this task as Resolved.May 16 2016, 7:22 PM
Anomie claimed this task.

This is resolved now with the introduction of AuthManager, and specifically API action=clientlogin which uses the same backend code that the new SpecialUserLogin uses to do authentication.

There's no timeframe for when this will be available on WMF wikis, though, beyond "soon". The next step will be to resolve T110282, then a gradual deploy while watching for things to break.

Change 289122 had a related patch set uploaded (by Gergő Tisza):
API changes for AuthManager

https://gerrit.wikimedia.org/r/289122

Change 289122 merged by jenkins-bot:
API changes for AuthManager

https://gerrit.wikimedia.org/r/289122